﻿// <auto-generated />
using System;
using Accounting.API.DataContext;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;

namespace Accounting.API.Migrations
{
    [DbContext(typeof(AccountingDataContext))]
    [Migration("20190414141700_init2")]
    partial class init2
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.SerialColumn)
                .HasAnnotation("ProductVersion", "2.2.4-servicing-10062")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            modelBuilder.Entity("Accounting.API.DataContext.AccountCategory", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("AccountCategoryCode")
                        .IsRequired()
                        .HasMaxLength(24);

                    b.Property<string>("AccountCategoryName")
                        .IsRequired()
                        .HasMaxLength(64);

                    b.Property<string>("CreatedBy")
                        .IsRequired()
                        .HasMaxLength(24);

                    b.Property<DateTime>("CreatedDate");

                    b.Property<string>("ModifiedBy")
                        .HasMaxLength(24);

                    b.Property<DateTime?>("ModifiedDate");

                    b.Property<string>("Notes")
                        .HasMaxLength(512);

                    b.Property<byte>("RowStatus");

                    b.Property<byte[]>("RowVersion")
                        .IsRequired();

                    b.HasKey("Id");

                    b.HasIndex("AccountCategoryCode")
                        .IsUnique();

                    b.ToTable("AccountCategories");
                });
#pragma warning restore 612, 618
        }
    }
}
